Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadMethodSemaphoreDefaultBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadMethodSemaphoreDefaultBean

@ApplicationScoped public class BulkheadMethodSemaphoreDefaultBean extends Object
A simple method level Semaphore @Bulkhead

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`BulkheadMethodSemaphoreDefaultBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadMethodSemaphoreDefaultBean

public BulkheadMethodSemaphoreDefaultBean()

## Method Details

### test

@Bulkhead public void test(Barrier barrier)